@import 'variables';

.occurrenceTable {
  --date-filter-width: 160px;
  --inactive-date-filter-color: lightgrey;
}

.occurrenceTable {
  margin-top: var(--spacing-xl);

  .occurrencesTitle {
    font-weight: bold;
    font-size: var(--fontsize-heading-s);
  }

  .titleAndFilters {
    display: grid;
    grid-template-columns: auto 1fr;
    align-items: center;
  }

  .dateFilters {
    display: flex;
    justify-self: flex-end;
    padding: var(--spacing-s);
    align-items: center;
  }

  .loadMoreButtonWrapper {
    text-align: center;
    margin-top: var(--spacing-m);
  }

  .enrolButton {
    background-color: rgb(0, 215, 167);
    width: 100%;
    padding: 1rem;
    font-size: 1rem;
  }

  .iconAngleUp {
    transform: rotate(180deg);
  }

  .occurrenceDetails {
    display: grid;
    grid-template-columns: 5fr 2fr;
  }

  .occurrenceActions {
    button {
      display: flex;
      font-size: 1rem;

      span {
        text-align: left;
      }
    }
  }

  .infoSection {
    display: grid;
    grid-template-columns: auto 1fr;

    p {
      margin: 0;
    }

    &:not(:last-child) {
      margin-bottom: var(--spacing-l);
    }

    .infoTitle {
      font-weight: bold;
      font-size: var(--fontsize-heading-s);
      margin-bottom: var(--spacing-s);
    }

    & > :first-child {
      padding-right: var(--spacing-xs);
    }
  }
}
